﻿using BlacksmithWorkshopDataModels.Models;

namespace BlacksmithWorkshopContracts.BindingModels
{
	public class StoreBindingModel : IStoreModel
	{
		public int Id { get; set; }
		public string StoreName { get; set; } = string.Empty;
		public string Address { get; set; } = string.Empty;
		public DateTime OpeningDate { get; set; } = DateTime.Now;
		/// <summary>
		/// Изделия в магазине
		/// </summary>
		public List<(IManufactureModel, int)> Manufactures { get; set; } = new();
	}
}
