﻿using BlacksmithWorkshopContracts.BindingModels;
using BlacksmithWorkshopContracts.SearchModels;
using BlacksmithWorkshopContracts.ViewModels;

namespace BlacksmithWorkshopContracts.StoragesContracts
{
	public interface IStoreStorage
	{
		List<StoreViewModel> GetFullList();
		List<StoreViewModel> GetFilteredList(StoreSearchModel model);
		StoreViewModel? GetElement(StoreSearchModel model);
		StoreViewModel? Insert(StoreBindingModel model);
		StoreViewModel? Update(StoreBindingModel model);
		StoreViewModel? Delete(StoreBindingModel model);
	}
}